> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get author by slug (public)



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json get /authors/getBySlug/{slug}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /authors/getBySlug/{slug}:
    get:
      tags:
        - Authors
      summary: Get author by slug (public)
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            type: string
            example: john-carter
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                OK:
                  value:
                    success: true
                    statusCode: 200
                    message: Author retrieved successfully
                    data:
                      author:
                        _id: '{{objectId}}'
                        name:
                          en: John Carter
                          es: Juan Carter
                        slug: john-carter
                        isActive: true
        '404':
          description: Not found
          content:
            application/json:
              examples:
                NotFound:
                  value:
                    success: false
                    statusCode: 404
                    message: Author not found
                    data: null
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````